Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

rio error with development version of haven: #193

Closed
hadley opened this issue Oct 23, 2018 · 1 comment

Comments

@hadley
Copy link
Contributor

commented Oct 23, 2018

packageVersion("haven")
#> [1] '1.1.2.9000'
packageVersion("rio")
#> [1] '0.5.10'

e <- rio::import("http://www.stata-press.com/data/r13/auto.dta")
g <- rio::gather_attrs(e)
g$foreign
#> <Labelled double>
#> Error: `x` and `labels` must be same type

I'm not sure exactly what is causing this, but it's probably related to the changes to the labelled class.

Could you please take a look? I'm planning on submitting haven 2.0 to CRAN on November 7

@leeper leeper added the bug label Nov 18, 2018
@leeper

This comment has been minimized.

Copy link
Owner

commented Nov 25, 2018

Duplicate of #188

@leeper leeper marked this as a duplicate of #188 Nov 25, 2018
@leeper leeper closed this Nov 25, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.